<div fxFill fxLayout="column" fxLayoutAlign="center center" ngClass="container">
  <mat-card>
    <mat-card-title>
      Login to WalletHub
    </mat-card-title>
    <mat-card-content
      *ngIf="loading; else login"
      fxLayoutAlign="space-around center"
    >
      <mat-spinner></mat-spinner>
    </mat-card-content>
    <ng-template #login>
      <mat-card-content>
        <form fxLayout="column" [formGroup]="loginForm" (ngSubmit)="doLogin()">
          <mat-form-field>
            <mat-label>Email</mat-label>
            <input
              matInput
              placeholder="Enter your email"
              formControlName="email"
              email
            />
            <mat-error>Invalid email address</mat-error>
          </mat-form-field>
          <mat-form-field>
            <mat-label>Password</mat-label>
            <input
              matInput
              placeholder="Enter your password"
              formControlName="password"
              [type]="hide ? 'password' : 'text'"
              required
            />
            <mat-icon matSuffix (click)="hide = !hide">{{
              hide ? 'visibility' : 'visibility_off'
            }}</mat-icon>
            <mat-error>Password must be at least 2 characters</mat-error>
          </mat-form-field>
          <button
            mat-raised-button
            color="primary"
            [disabled]="!loginForm.valid"
            type="submit"
          >
            Login
          </button>
        </form>
      </mat-card-content>
    </ng-template>
  </mat-card>
</div>
